

package gov.va.med.cds.xml.transform;


import gov.va.med.cds.exception.AbstractCdsBaseException;
import gov.va.med.cds.exception.ErrorCodeEnum;


public class XsltTransformationException
    extends
        AbstractCdsBaseException
{

    private static final long serialVersionUID = -7012092839706466367L;


    public XsltTransformationException( ErrorCodeEnum errorCode )
    {
        super( errorCode );
    }


    public XsltTransformationException( ErrorCodeEnum errorCode, String... customMsgValues )
    {
        super( errorCode, customMsgValues );
    }


    public XsltTransformationException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }


    public XsltTransformationException( ErrorCodeEnum errorCode, Throwable cause, String... customMsgValues )
    {
        super( errorCode, cause, customMsgValues );
    }

}
